FilterBox
2D Fixed Linear Filters

Computes the average pixel values of the pixels under a rectangular mask. More...

## Functions

NppStatus | nppiFilterBox_8u_C1R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned box filter. More...
NppStatus | nppiFilterBox_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiFilterBox_8u_C3R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Three channel 8-bit unsigned box filter. More...
NppStatus | nppiFilterBox_8u_C3R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiFilterBox_8u_C4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned box filter. More...
NppStatus | nppiFilterBox_8u_C4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiFilterBox_8u_AC4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned box filter, ignorting alpha channel. More...
NppStatus | nppiFilterBox_8u_AC4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiFilterBox_16u_C1R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Single channel 16-bit unsigned box filter. More...
NppStatus | nppiFilterBox_16u_C1R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiFilterBox_16u_C3R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Three channel 16-bit unsigned box filter. More...
NppStatus | nppiFilterBox_16u_C3R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiFilterBox_16u_C4R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned box filter. More...
NppStatus | nppiFilterBox_16u_C4R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiFilterBox_16u_AC4R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned box filter, ignorting alpha channel. More...
NppStatus | nppiFilterBox_16u_AC4R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiFilterBox_16s_C1R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Single channel 16-bit box filter. More...
NppStatus | nppiFilterBox_16s_C1R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiFilterBox_16s_C3R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Three channel 16-bit box filter. More...
NppStatus | nppiFilterBox_16s_C3R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiFilterBox_16s_C4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 16-bit box filter. More...
NppStatus | nppiFilterBox_16s_C4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiFilterBox_16s_AC4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 16-bit box filter, ignorting alpha channel. More...
NppStatus | nppiFilterBox_16s_AC4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiFilterBox_32f_C1R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Single channel 32-bit floating-point box filter. More...
NppStatus | nppiFilterBox_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiFilterBox_32f_C3R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Three channel 32-bit floating-point box filter. More...
NppStatus | nppiFilterBox_32f_C3R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiFilterBox_32f_C4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating-point box filter. More...
NppStatus | nppiFilterBox_32f_C4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiFilterBox_32f_AC4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating-point box filter, ignorting alpha channel. More...
NppStatus | nppiFilterBox_32f_AC4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor)
NppStatus | nppiFilterBox_64f_C1R_Ctx (const Npp64f *pSrc, Npp32s nSrcStep, Npp64f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Single channel 64-bit floating-point box filter. More...
NppStatus | nppiFilterBox_64f_C1R (const Npp64f *pSrc, Npp32s nSrcStep, Npp64f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor)

## Detailed Description

Computes the average pixel values of the pixels under a rectangular mask.

### Common parameters for nppiFilterBox functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  oMaskSize | Width and Height of the neighborhood region for the local Avg operation.
  oAnchor | X and Y offsets of the kernel origin frame of reference relative to the source pixel.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiFilterBox_16s_AC4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilterBox_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit box filter, ignorting alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterBox functions.

NppStatus nppiFilterBox_16s_C1R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilterBox_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit box filter.

For common parameter descriptions, see Common parameters for nppiFilterBox functions.

NppStatus nppiFilterBox_16s_C3R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilterBox_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit box filter.

For common parameter descriptions, see Common parameters for nppiFilterBox functions.

NppStatus nppiFilterBox_16s_C4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilterBox_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit box filter.

For common parameter descriptions, see Common parameters for nppiFilterBox functions.

NppStatus nppiFilterBox_16u_AC4R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilterBox_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned box filter, ignorting alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterBox functions.

NppStatus nppiFilterBox_16u_C1R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilterBox_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit unsigned box filter.

For common parameter descriptions, see Common parameters for nppiFilterBox functions.

NppStatus nppiFilterBox_16u_C3R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilterBox_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit unsigned box filter.

For common parameter descriptions, see Common parameters for nppiFilterBox functions.

NppStatus nppiFilterBox_16u_C4R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilterBox_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned box filter.

For common parameter descriptions, see Common parameters for nppiFilterBox functions.

NppStatus nppiFilterBox_32f_AC4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilterBox_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating-point box filter, ignorting alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterBox functions.

NppStatus nppiFilterBox_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilterBox_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 32-bit floating-point box filter.

For common parameter descriptions, see Common parameters for nppiFilterBox functions.

NppStatus nppiFilterBox_32f_C3R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilterBox_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 32-bit floating-point box filter.

For common parameter descriptions, see Common parameters for nppiFilterBox functions.

NppStatus nppiFilterBox_32f_C4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilterBox_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating-point box filter.

For common parameter descriptions, see Common parameters for nppiFilterBox functions.

NppStatus nppiFilterBox_64f_C1R | ( | const Npp64f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp64f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilterBox_64f_C1R_Ctx | ( | const Npp64f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp64f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 64-bit floating-point box filter.

For common parameter descriptions, see Common parameters for nppiFilterBox functions.

NppStatus nppiFilterBox_8u_AC4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilterBox_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned box filter, ignorting alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterBox functions.

NppStatus nppiFilterBox_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilterBox_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned box filter.

For common parameter descriptions, see Common parameters for nppiFilterBox functions.

NppStatus nppiFilterBox_8u_C3R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilterBox_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit unsigned box filter.

For common parameter descriptions, see Common parameters for nppiFilterBox functions.

NppStatus nppiFilterBox_8u_C4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilterBox_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned box filter.

For common parameter descriptions, see Common parameters for nppiFilterBox functions.

Copyright © 2009-2018 NVIDIA Corporation